<?php

declare(strict_types=1);

namespace CreoCode\ContaoTourismBundle\EventListener;

use Contao\CoreBundle\ServiceAnnotation\Hook;
use CreoCode\ContaoTourismBundle\EventListener\DataContainer\AccommodationsListener;
use CreoCode\ContaoTourismBundle\EventListener\DataContainer\OffersListener;
use CreoCode\ContaoTourismBundle\EventListener\DataContainer\ParentTableListener;

// use CreoCode\ContaoTourismBundle\EventListener\BackendView\ParentChildViewListener;

/**
 * @Hook("loadDataContainer")
 */
class CallbackSetupListener
{
    private static array $listeners = [
        'tl_accommodations_set' => [ParentTableListener::class],
        'tl_accommodations' => [
            AccommodationsListener::class,
            // ParentChildViewListener::class,
        ],
        'tl_offers_set' => [ParentTableListener::class],
        'tl_offers' => [
            OffersListener::class,
            // ParentChildViewListener::class,
        ],
    ];

    public function __invoke(string $table): void
    {
        if (\array_key_exists($table, self::$listeners)) {
            foreach (self::$listeners[$table] as $class) {
                $listener = new $class($table);
                $listener->register();
            }
        }
    }
}