<?php

declare(strict_types=1);

namespace CreoCode\ContaoTourismBundle\EventListener\DataContainer;

use Contao\Model;
use Contao\Model\Collection;

use Terminal42\ChangeLanguage\EventListener\DataContainer\AbstractChildTableListener;

class OffersListener extends AbstractChildTableListener
{
    protected function getTitleField(): string
    {
        return 'headline';
    }

    protected function getSorting(): string
    {
        return 'sorting';
    }

    protected function formatOptions(Model $current, Collection $models): array
    {
        $options = [];

        foreach ($models as $model) {
            $options[$model->id] = sprintf('%s [ID %s]', $model->headline, $model->id);
        }

        return $options;
    }
}